# -------------------------------------------------------------------------- #
#
# Copyright (C) 2017  Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions 
# and other software and tools, and its AMPP partner logic 
# functions, and any output files from any of the foregoing 
# (including device programming or simulation files), and any 
# associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License 
# Subscription Agreement, the Intel Quartus Prime License Agreement,
# the Intel MegaCore Function License Agreement, or other 
# applicable license agreement, including, without limitation, 
# that your use is for the sole purpose of programming logic 
# devices manufactured by Intel and sold by Intel or its 
# authorized distributors.  Please refer to the applicable 
# agreement for further details.
#
# -------------------------------------------------------------------------- #
#
# Quartus Prime
# Version 16.1.2 Build 203 01/18/2017 SJ Standard Edition
# Date created = 01:53:32  April 20, 2017
#
# -------------------------------------------------------------------------- #

set_global_assignment -name FAMILY "Cyclone IV E"
set_global_assignment -name DEVICE EP4CE55F23C8
set_global_assignment -name ON_CHIP_BITSTREAM_DECOMPRESSION OFF

set_global_assignment -name STRATIX_DEVICE_IO_STANDARD "3.3-V LVTTL"
set_global_assignment -name TOP_LEVEL_ENTITY BombJack_MC2P
set_global_assignment -name ORIGINAL_QUARTUS_VERSION 16.1.2
set_global_assignment -name LAST_QUARTUS_VERSION 13.1
set_global_assignment -name PROJECT_CREATION_TIME_DATE "01:53:30  APRIL 20, 2017"
set_global_assignment -name DEVICE_FILTER_PACKAGE UFBGA
set_global_assignment -name DEVICE_FILTER_PIN_COUNT 672
set_global_assignment -name DEVICE_FILTER_SPEED_GRADE 7

set_global_assignment -name GENERATE_RBF_FILE ON
set_global_assignment -name PROJECT_OUTPUT_DIRECTORY output_files
set_global_assignment -name NUM_PARALLEL_PROCESSORS ALL
set_global_assignment -name SAVE_DISK_SPACE OFF
set_global_assignment -name SMART_RECOMPILE ON
set_global_assignment -name MIN_CORE_JUNCTION_TEMP 0
set_global_assignment -name MAX_CORE_JUNCTION_TEMP 85
set_global_assignment -name POWER_PRESET_COOLING_SOLUTION "23 MM HEAT SINK WITH 200 LFPM AIRFLOW"
set_global_assignment -name POWER_BOARD_THERMAL_MODEL "NONE (CONSERVATIVE)"
set_global_assignment -name TIMEQUEST_MULTICORNER_ANALYSIS OFF
set_global_assignment -name OPTIMIZE_POWER_DURING_FITTING "NORMAL COMPILATION"
set_global_assignment -name FINAL_PLACEMENT_OPTIMIZATION ALWAYS
set_global_assignment -name FITTER_EFFORT "STANDARD FIT"
set_global_assignment -name SEED 4

set_location_assignment PIN_T2 -to clock_50_i

set_location_assignment PIN_E4 -to LED

set_location_assignment PIN_V2 -to SDRAM_A[0]
set_location_assignment PIN_V1 -to SDRAM_A[1]
set_location_assignment PIN_U2 -to SDRAM_A[2]
set_location_assignment PIN_U1 -to SDRAM_A[3]
set_location_assignment PIN_V3 -to SDRAM_A[4]
set_location_assignment PIN_V4 -to SDRAM_A[5]
set_location_assignment PIN_Y2 -to SDRAM_A[6]
set_location_assignment PIN_AA1 -to SDRAM_A[7]
set_location_assignment PIN_Y3 -to SDRAM_A[8]
set_location_assignment PIN_V5 -to SDRAM_A[9]
set_location_assignment PIN_W1 -to SDRAM_A[10]
set_location_assignment PIN_Y4 -to SDRAM_A[11]
set_location_assignment PIN_V6 -to SDRAM_A[12]
set_location_assignment PIN_W2 -to SDRAM_BA[1]
set_location_assignment PIN_Y1 -to SDRAM_BA[0]
set_location_assignment PIN_AA4 -to SDRAM_nCAS
set_location_assignment PIN_W6 -to SDRAM_CKE
set_location_assignment PIN_Y6 -to SDRAM_CLK
set_location_assignment PIN_AA3 -to SDRAM_nCS
set_location_assignment PIN_V11 -to SDRAM_DQ[15]
set_location_assignment PIN_W10 -to SDRAM_DQ[14]
set_location_assignment PIN_Y10 -to SDRAM_DQ[13]
set_location_assignment PIN_V10 -to SDRAM_DQ[12]
set_location_assignment PIN_V9 -to SDRAM_DQ[11]
set_location_assignment PIN_Y8 -to SDRAM_DQ[10]
set_location_assignment PIN_W8 -to SDRAM_DQ[9]
set_location_assignment PIN_Y7 -to SDRAM_DQ[8]
set_location_assignment PIN_AB5 -to SDRAM_DQ[7]
set_location_assignment PIN_AA7 -to SDRAM_DQ[6]
set_location_assignment PIN_AB7 -to SDRAM_DQ[5]
set_location_assignment PIN_AA8 -to SDRAM_DQ[4]
set_location_assignment PIN_AB8 -to SDRAM_DQ[3]
set_location_assignment PIN_AA9 -to SDRAM_DQ[2]
set_location_assignment PIN_AB9 -to SDRAM_DQ[1]
set_location_assignment PIN_AA10 -to SDRAM_DQ[0]
set_location_assignment PIN_AA5 -to SDRAM_DQML
set_location_assignment PIN_AB3 -to SDRAM_nRAS
set_location_assignment PIN_W7 -to SDRAM_DQMH
set_location_assignment PIN_AB4 -to SDRAM_nWE

set_location_assignment PIN_AA14 -to VGA_R[4]
set_location_assignment PIN_AA15 -to VGA_R[3]
set_location_assignment PIN_AA16 -to VGA_R[2]
set_location_assignment PIN_AB17 -to VGA_R[1]
set_location_assignment PIN_AA13 -to VGA_R[0]
set_location_assignment PIN_AB18 -to VGA_G[4]
set_location_assignment PIN_AA18 -to VGA_G[3]
set_location_assignment PIN_AB19 -to VGA_G[2]
set_location_assignment PIN_AA19 -to VGA_G[1]
set_location_assignment PIN_AA17 -to VGA_G[0]
set_location_assignment PIN_AA20 -to VGA_B[4]
set_location_assignment PIN_Y22 -to VGA_B[3]
set_location_assignment PIN_W22 -to VGA_B[2]
set_location_assignment PIN_V22 -to VGA_B[1]
set_location_assignment PIN_AB20 -to VGA_B[0]
set_location_assignment PIN_R22 -to VGA_HS
set_location_assignment PIN_U22 -to VGA_VS

set_location_assignment PIN_P22 -to ps2_clk_io
set_location_assignment PIN_N22 -to ps2_data_io
set_location_assignment PIN_A15 -to ps2_mouse_clk_io
set_location_assignment PIN_A14 -to ps2_mouse_data_io

set_location_assignment PIN_A13 -to sram_addr_o[20]
set_location_assignment PIN_E1 -to sram_addr_o[19]
set_location_assignment PIN_B10 -to sram_addr_o[18]
set_location_assignment PIN_A10 -to sram_addr_o[17]
set_location_assignment PIN_B9 -to sram_addr_o[16]
set_location_assignment PIN_A9 -to sram_addr_o[15]
set_location_assignment PIN_A3 -to sram_addr_o[14]
set_location_assignment PIN_B1 -to sram_addr_o[13]
set_location_assignment PIN_B2 -to sram_addr_o[12]
set_location_assignment PIN_C1 -to sram_addr_o[11]
set_location_assignment PIN_C2 -to sram_addr_o[10]
set_location_assignment PIN_Y21 -to sram_addr_o[9]
set_location_assignment PIN_W21 -to sram_addr_o[8]
set_location_assignment PIN_V21 -to sram_addr_o[7]
set_location_assignment PIN_U21 -to sram_addr_o[6]
set_location_assignment PIN_R21 -to sram_addr_o[5]
set_location_assignment PIN_K22 -to sram_addr_o[4]
set_location_assignment PIN_K21 -to sram_addr_o[3]
set_location_assignment PIN_J22 -to sram_addr_o[2]
set_location_assignment PIN_J21 -to sram_addr_o[1]
set_location_assignment PIN_H22 -to sram_addr_o[0]
set_location_assignment PIN_A8 -to sram_data_io[7]
set_location_assignment PIN_B7 -to sram_data_io[6]
set_location_assignment PIN_A4 -to sram_data_io[5]
set_location_assignment PIN_B3 -to sram_data_io[4]
set_location_assignment PIN_N21 -to sram_data_io[3]
set_location_assignment PIN_M21 -to sram_data_io[2]
set_location_assignment PIN_L22 -to sram_data_io[1]
set_location_assignment PIN_L21 -to sram_data_io[0]
set_location_assignment PIN_P21 -to sram_we_n_o
set_location_assignment PIN_B8 -to sram_oe_n_o


set_location_assignment PIN_C22 -to AUDIO_L
set_location_assignment PIN_B22 -to AUDIO_R
set_location_assignment PIN_M22 -to mic_o
set_location_assignment PIN_F22 -to ear_i

set_location_assignment PIN_AB16 -to btn_n_i[4]
set_location_assignment PIN_AB15 -to btn_n_i[3]
set_location_assignment PIN_AB14 -to btn_n_i[2]
set_location_assignment PIN_AB13 -to btn_n_i[1]

set_location_assignment PIN_P2 -to sd_cs_n_o
set_location_assignment PIN_R1 -to sd_miso_i
set_location_assignment PIN_P1 -to sd_mosi_o
set_location_assignment PIN_R2 -to sd_sclk_o

set_location_assignment PIN_H1 -to stm_rst_o
set_location_assignment PIN_F1 -to stm_tx_i
set_location_assignment PIN_D2 -to stm_rx_o
set_location_assignment PIN_M2 -to SPI_SS2
set_location_assignment PIN_M1 -to SPI_SCK
set_location_assignment PIN_N2 -to SPI_DO
set_location_assignment PIN_N1 -to SPI_DI
set_location_assignment PIN_F2 -to SPI_nWAIT

set_location_assignment PIN_J1 -to joy_load_o
set_location_assignment PIN_J2 -to joy_clock_o
set_location_assignment PIN_H2 -to joy_p7_o
set_location_assignment PIN_A7 -to joy_data_i

set_location_assignment PIN_B4 -to GPIO[12]
set_location_assignment PIN_C4 -to GPIO[14]
set_location_assignment PIN_B5 -to GPIO[16]
set_location_assignment PIN_B6 -to GPIO[18]
set_location_assignment PIN_B13 -to GPIO[19]
set_location_assignment PIN_B14 -to GPIO[20]
set_location_assignment PIN_B15 -to GPIO[31]
set_location_assignment PIN_B16 -to GPIO[29]
set_location_assignment PIN_B17 -to GPIO[27]
set_location_assignment PIN_B18 -to GPIO[25]
set_location_assignment PIN_B19 -to GPIO[23]
set_location_assignment PIN_B20 -to GPIO[21]
set_location_assignment PIN_C3 -to GPIO[13]
set_location_assignment PIN_A5 -to GPIO[15]
set_location_assignment PIN_A6 -to GPIO[17]
set_location_assignment PIN_A16 -to GPIO[30]
set_location_assignment PIN_A17 -to GPIO[28]
set_location_assignment PIN_A18 -to GPIO[26]
set_location_assignment PIN_A19 -to GPIO[24]
set_location_assignment PIN_A20 -to GPIO[22]
set_location_assignment PIN_E22 -to GPIO[9]
set_location_assignment PIN_D22 -to GPIO[7]
set_location_assignment PIN_N20 -to GPIO[2]
set_location_assignment PIN_M20 -to GPIO[0]
set_location_assignment PIN_H21 -to GPIO[11]
set_location_assignment PIN_F21 -to GPIO[10]
set_location_assignment PIN_E21 -to GPIO[8]
set_location_assignment PIN_D21 -to GPIO[6]
set_location_assignment PIN_C21 -to GPIO[5]
set_location_assignment PIN_B21 -to GPIO[4]
set_location_assignment PIN_N19 -to GPIO[3]
set_location_assignment PIN_M19 -to GPIO[1]










set_global_assignment -name EDA_GENERATE_FUNCTIONAL_NETLIST OFF -section_id eda_formal_verification
set_global_assignment -name USE_CONFIGURATION_DEVICE OFF
set_global_assignment -name CRC_ERROR_OPEN_DRAIN OFF
set_global_assignment -name CYCLONEII_RESERVE_NCEO_AFTER_CONFIGURATION "USE AS REGULAR IO"
set_global_assignment -name OUTPUT_IO_TIMING_NEAR_END_VMEAS "HALF VCCIO" -rise
set_global_assignment -name OUTPUT_IO_TIMING_NEAR_END_VMEAS "HALF VCCIO" -fall
set_global_assignment -name OUTPUT_IO_TIMING_FAR_END_VMEAS "HALF SIGNAL SWING" -rise
set_global_assignment -name OUTPUT_IO_TIMING_FAR_END_VMEAS "HALF SIGNAL SWING" -fall
set_global_assignment -name OPTIMIZE_HOLD_TIMING "ALL PATHS"
set_global_assignment -name OPTIMIZE_MULTI_CORNER_TIMING ON
set_global_assignment -name CYCLONEII_OPTIMIZATION_TECHNIQUE BALANCED
set_global_assignment -name SYNTH_TIMING_DRIVEN_SYNTHESIS ON


set_global_assignment -name PARTITION_NETLIST_TYPE SOURCE -section_id Top
set_global_assignment -name PARTITION_FITTER_PRESERVATION_LEVEL PLACEMENT_AND_ROUTING -section_id Top
set_global_assignment -name PARTITION_COLOR 16764057 -section_id Top
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to btn_n_i[4]
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to btn_n_i[3]
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to btn_n_i[2]
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to btn_n_i[1]
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to ps2_clk_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to ps2_data_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to ps2_mouse_clk_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to ps2_mouse_data_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to sd_miso_i
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_A[0]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_A[1]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_A[2]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_A[3]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_A[4]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_A[5]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_A[6]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_A[7]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_A[8]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_A[9]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_A[10]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_A[11]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_A[12]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_BA[0]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_BA[1]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_nCAS
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_CKE
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_CLK
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_nCS
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_DQ[0]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_DQ[1]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_DQ[2]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_DQ[3]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_DQ[4]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_DQ[5]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_DQ[6]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_DQ[7]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_DQ[8]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_DQ[9]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_DQ[10]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_DQ[11]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_DQ[12]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_DQ[13]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_DQ[14]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_DQ[15]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_DQML
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_nRAS
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_DQMH
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SDRAM_nWE
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[12]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[11]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[10]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[9]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[8]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[7]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[6]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[5]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[4]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[3]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[2]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[1]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[0]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_BA[1]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_BA[0]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_nCAS
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_CKE
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_nCS
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[15]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[14]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[13]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[12]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[11]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[10]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[9]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[8]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[7]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[6]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[5]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[4]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[3]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[2]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[1]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[0]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQMH
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQML
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_nRAS
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_nWE
set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[0]
set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[1]
set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[2]
set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[3]
set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[4]
set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[5]
set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[6]
set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[7]
set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[8]
set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[9]
set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[10]
set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[11]
set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[12]
set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[13]
set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[14]
set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[15]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[0]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[1]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[2]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[3]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[4]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[5]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[6]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[7]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[8]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[9]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[10]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[11]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[12]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_BA[0]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_BA[1]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_nCAS
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[0]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[1]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[2]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[3]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[4]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[5]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[6]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[7]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[8]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[9]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[10]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[11]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[12]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[13]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[14]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[15]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQML
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQMH
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_nRAS
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_nWE
set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[0]
set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[1]
set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[2]
set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[3]
set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[4]
set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[5]
set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[6]
set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[7]
set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[8]
set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[9]
set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[10]
set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[11]
set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[12]
set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[13]
set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[14]
set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[15]
set_global_assignment -name VHDL_FILE pll.vhd
set_global_assignment -name VHDL_FILE ../../../../../common/pll_vga.vhd
set_global_assignment -name VHDL_FILE ../../../../../common/framebuffer.vhd
set_global_assignment -name QIP_FILE ../../../../../common/mc2.qip
set_global_assignment -name VHDL_FILE dpram.vhd
set_global_assignment -name VHDL_FILE ../../memory/ram_1e.vhd
set_global_assignment -name VHDL_FILE ../../memory/ram_1h.vhd
set_global_assignment -name VHDL_FILE ../../memory/ram_6ab.vhd
set_global_assignment -name VHDL_FILE ../../memory/ram_6c.vhd
set_global_assignment -name VHDL_FILE ../../memory/ram4x.vhd
set_global_assignment -name VHDL_FILE ../../memory/ram_3k.vhd
set_global_assignment -name VHDL_FILE ../../memory/ram_6lm.vhd
set_global_assignment -name VHDL_FILE ../../memory/ram_3ef.vhd
set_global_assignment -name VHDL_FILE ../../T80/T80_Reg.vhd
set_global_assignment -name VHDL_FILE ../../T80/T80sed.vhd
set_global_assignment -name VHDL_FILE ../../T80/T80_Pack.vhd
set_global_assignment -name VHDL_FILE ../../T80/T80_MCode.vhd
set_global_assignment -name VHDL_FILE ../../T80/T80_ALU.vhd
set_global_assignment -name VHDL_FILE ../../T80/T80.vhd
set_global_assignment -name VHDL_FILE ../../ym2149/YM2149_linmix.vhd
set_global_assignment -name VHDL_FILE ../../bombjack/sprite_buff.vhd
set_global_assignment -name VHDL_FILE ../../bombjack/prog_roms_ramb.vhd
set_global_assignment -name VHDL_FILE ../../bombjack/p10_psgs.vhd
set_global_assignment -name VHDL_FILE ../../bombjack/p9_audio_cpu.vhd
set_global_assignment -name VHDL_FILE ../../bombjack/p8_palette.vhd
set_global_assignment -name VHDL_FILE ../../bombjack/p7_bgnd_tiles.vhd
set_global_assignment -name VHDL_FILE ../../bombjack/p6_char_gen.vhd
set_global_assignment -name VHDL_FILE ../../bombjack/p5_overlay.vhd
set_global_assignment -name VHDL_FILE ../../bombjack/p4_sprites.vhd
set_global_assignment -name VHDL_FILE ../../bombjack/p3_timing.vhd
set_global_assignment -name VHDL_FILE ../../bombjack/p2_switches.vhd
set_global_assignment -name VHDL_FILE ../../bombjack/bombjack.vhd
set_global_assignment -name VHDL_FILE bombjack_top.vhd
set_global_assignment -name SYSTEMVERILOG_FILE BombJack.sv
set_instance_assignment -name PARTITION_HIERARCHY root_partition -to | -section_id Top